Subject: Re: question about conflict resolution across multiple branches

From: William Morgan <[email-masked]>
Date: Sun, 22 Mar 2009 13:05:34 -0700

Reformatted excerpts from Junio C Hamano's message of 2009-03-19:
>     $ git diff origin/next >fixup.patch

Ok, this is helpful. So git diff will give me an explicit dump of the
conflict resolution changes, which I can use with git apply --index when
I see the conflict. Sort of a manual, shared, git-rerere.

Wouldn't it be simpler for git format-patch to produce something for a
merge commit with conflicts? (Maybe there's a way and I just can't find
it?)

> Needless to say, you need to be careful when accepting such a fixup
> patch.

More careful than when accepting a "regular" patch?

Thanks for your help!
-- 
William <[email-masked]>